commit:     f3624bc70e49caf865bd93a2e5286657f80bb2f9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 10:57:27 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 10:57:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3624bc7

xfce-base/libxfce4util: Bump to 4.13.2 (now with vala bindings)

 xfce-base/libxfce4util/Manifest                   |  1 +
 xfce-base/libxfce4util/libxfce4util-4.13.2.ebuild | 46 +++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/xfce-base/libxfce4util/Manifest b/xfce-base/libxfce4util/Manifest
index 43f9c49380e..d37cb29030d 100644
--- a/xfce-base/libxfce4util/Manifest
+++ b/xfce-base/libxfce4util/Manifest
@@ -1 +1,2 @@
 DIST libxfce4util-4.13.1.tar.bz2 497192 BLAKE2B 
56ec5929df43e2c430c45298a2f7634a539ef1f32598ce4cd038659c93ed5de4f28472f744ab03e3cefd040266c1e1bd415c8b4e9489be8f3930bd6df8d1c5c0
 SHA512 
1667cc22ff72920d3280725cb40c41f5fba9dcfcba8e357ba85548c7f254a67a3ef942c1b71f0ac5c3a7fe46c8c4cb559a06a8111aa71ce1f6824d1a1c2b5063
+DIST libxfce4util-4.13.2.tar.bz2 509280 BLAKE2B 
40f1fb95abff4857e976dd5f3ae8c8ad5e66e2c1c49723735e85124db71d30f204525cd74baf22e31bf405718f378b0c9ac37ec4189e1f4b9941d0eb6fc141ce
 SHA512 
3bbb718f3a6d2213c86695b3f99d1e67c859ce635e5d066b18745d2ee57c0b2eea468b61079d8e2514c2d8f5fa847539d236ec0ed3fd17fecd9d1b36dc3595c4

diff --git a/xfce-base/libxfce4util/libxfce4util-4.13.2.ebuild 
b/xfce-base/libxfce4util/libxfce4util-4.13.2.ebuild
new file mode 100644
index 00000000000..6686fd3a176
--- /dev/null
+++ b/xfce-base/libxfce4util/libxfce4util-4.13.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vala
+
+DESCRIPTION="A basic utility library for the Xfce desktop environment"
+HOMEPAGE="https://git.xfce.org/xfce/libxfce4util/";
+SRC_URI="mirror://xfce/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND=">=dev-libs/glib-2.30:=
+       introspection? ( dev-libs/gobject-introspection:= )
+       vala? ( $(vala_depend) )"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       dev-util/gtk-doc-am
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_prepare() {
+       # stupid vala.eclass...
+       default
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable vala)
+       )
+
+       use vala && vala_src_prepare
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to